// OpenMath ApplyNode interface

package fr.inria.openmath.omapi;

/**
 * Defines some convenience methods for this kind of Node.
 */
public interface ApplyNode {

    /**
     * Get the applied symbol (function) of this node.
     *
     * @return The applied symbol of this node.
     */
    public Node getFunction() ;

    /**
     * Get the first argument object of this Apply node.
     *
     * <p>Using getNextSibling() until findig null you can
     * iterate through all arguments.
     * @return The first argument object of this node.
     */
    public Node getFirstArg() ;


}
