// OpenMath BindNode interface

package fr.inria.openmath.omapi;

/**
 * Defines some convenience methods for this kind of Node.
 */
public interface BindNode {

    /**
     * Get the binder object of this node.
     *
     * @return The binder object of this node.
     */
    public Node getBinder() ;

    /**
     * Get the first bound var Node of this Bind node.
     *
     * <p>Using getNextSibling() until findig null you can
     * itarate through all bound variables.
     *
     * @return The first bound variable of this node.
     */
    public Node getFirstBoundVar() ;

    /**
     * Get the bound object of this node.
     *
     * @return The bound object of this node.
     */
    public Node getBoundObject() ;

}
