// OpenMath TreeHandler interface.

package fr.inria.openmath.omapi;

/**
 * Receives notification of OpenMath tree events.
 * ParserHandlers like treeParserHandler provided in implementation package
 * use this kind of hancler to signal that a tree has been successfuly build
 * from stream parse.
 */
public interface TreeHandler {

    /* Signal to handler that a new tree has been build.
                                         * @param root The root node of the new tree.
                                         * @exception OMException the handler code may raise some exception if needed.
                                         */
    public void parsedTree(Node root) throws OMException ;

}
